%global npmname replicate
%global npminstdir /usr/lib/node_modules/%{npmname}
%global deplist request follow formidable

Summary: A customizable CouchDB replicator in node.js
Name: nodejs-%{npmname}
Version: 0.2.0
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://github.com/mikeal/request
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Requires: nodejs-request >= 2.1
Requires: nodejs-follow >= 0.1
Requires: nodejs-formidable >= 1.0
Provides: nodejs-%{npmname} = %{version}

%description
A customizable CouchDB replicator in node.js.

%prep
%setup -q -n package

%build

%install
# Setup and copy packages over
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{npminstdir}
cp -pr *.js package.json %{buildroot}/%{npminstdir}

# Setup the dependancies
cd %{buildroot}/%{npminstdir}
mkdir node_modules
for depend in %{deplist}
do
  ln -s /usr/lib/node_modules/$depend node_modules/$depend
done

# Run the scripts (except test scripts)

# Setup Binaries
mkdir -p %{buildroot}/usr/bin
cd %{buildroot}/usr/bin
ln -s %{npminstdir}/bin.js replicate

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{npminstdir}
%attr(-, root, root) /usr/bin/replicate

%changelog
* Tue Feb 28 2012 Troy Dawson <tdawson@redhat.com> - 0.2.0-1
- Initial build

